Package twisted :: Package im :: Module ircsupport :: Class IRCGroup

[frames | no frames]

## Class IRCGroup

    AbstractGroup --+
                    |
                   IRCGroup

Method Summary
| `imgroup_testAction(self)`
| `imtarget_kick(self, target)`
| `leave(self)`
| `sendGroupMessage(self, text, meta)`
| `setTopic(self, topic)`
Inherited from AbstractGroup
| ``__init__`(self, name, account)`
| ``__repr__`(self)`
| ``__str__`(self)`
| ``getGroupCommands`(self)` finds group commands
| ``getTargetCommands`(self, target)` finds group commands
| ``join`(self)`

Class Variable Summary
`tuple` | `__implements__` = `(<class twisted.im.interfaces.IGroup at...`

Class Variable Details

### __implements__

  Type:
    `tuple`
  Value:

        (<class twisted.im.interfaces.IGroup at 0x8b25e1c>,)

Generated by Epydoc 2.0 on Sat May 15 20:07:50 2004 | http://epydoc.sf.net